---
canonical: https://amplience.com/developers/docs/apis/content-management-reference/hubs/
title: "Hubs"
description: "API reference for hub endpoints. Covers hub management, settings, bulk operations, and sharing."
audience: Developer
date_published: 2023-08-29
date_modified: 2026-06-16
---

# Hubs

**Base URL:** `https://api.amplience.net/v2/content`

> **Note: Authorization and status codes**
> For authorization and status codes see the [API Reference overview](https://amplience.com/developers/docs/apis/content-management-reference/).

## Hubs

| Method | Endpoint | Summary |
|--------|----------|---------|
| `GET` | `/hubs` | [List hubs](#list-hubs) |
| `POST` | `/hubs` | [Create hub](#create-hub) |
| `GET` | `/hubs/{hubId}` | [Get hub](#get-hub) |
| `PATCH` | `/hubs/{hubId}` | [Update hub](#update-hub) |
| `GET` | `/hubs/{hubId}/asset-management` | [Get hub asset management settings](#get-hub-asset-management-settings) |
| `PUT` | `/hubs/{hubId}/asset-management` | [Update hub asset management settings](#update-hub-asset-management-settings) |
| `GET` | `/hubs/{hubId}/asset-repositories` | [Get hub asset repositories](#get-hub-asset-repositories) |
| `POST` | `/hubs/{hubId}/bulk-apply-locale` | [Post bulk apply locale job](#post-bulk-apply-locale-job) |
| `GET` | `/hubs/{hubId}/bulk-apply-locale/{bulkJobId}` | [Get bulk apply locale job](#get-bulk-apply-locale-job) |
| `POST` | `/hubs/{hubId}/bulk-archive` | [Post bulk archive job](#post-bulk-archive-job) |
| `GET` | `/hubs/{hubId}/bulk-archive/{jobId}` | [Get bulk archive job](#get-bulk-archive-job) |
| `POST` | `/hubs/{hubId}/bulk-assign-users` | [Post bulk assign users job](#post-bulk-assign-users-job) |
| `GET` | `/hubs/{hubId}/bulk-assign-users/{jobId}` | [Get bulk assign users job](#get-bulk-assign-users-job) |
| `POST` | `/hubs/{hubId}/bulk-copy-item` | [Post bulk copy item job](#post-bulk-copy-item-job) |
| `GET` | `/hubs/{hubId}/bulk-copy-item/{jobId}` | [Get bulk copy item job](#get-bulk-copy-item-job) |
| `POST` | `/hubs/{hubId}/bulk-publish-items` | [Post bulk publish job](#post-bulk-publish-job) |
| `GET` | `/hubs/{hubId}/bulk-publish-items/{bulkJobId}` | [Get bulk publish job](#get-bulk-publish-job) |
| `POST` | `/hubs/{hubId}/bulk-unarchive` | [Post bulk unarchive job](#post-bulk-unarchive-job) |
| `GET` | `/hubs/{hubId}/bulk-unarchive/{jobId}` | [Get bulk unarchive job](#get-bulk-unarchive-job) |
| `POST` | `/hubs/{hubId}/bulk-update-workflow` | [Post bulk update workflow job](#post-bulk-update-workflow-job) |
| `GET` | `/hubs/{hubId}/bulk-update-workflow/{bulkJobId}` | [Get bulk update workflow job](#get-bulk-update-workflow-job) |
| `PUT` | `/hubs/{hubid}/linked-content-repositories` | [Create linked content repositories](#create-linked-content-repositories) |
| `PATCH` | `/hubs/{hubId}/plan` | [Update hub plan](#update-hub-plan) |
| `PATCH` | `/hubs/{hubId}/settings` | [Update hub settings](#update-hub-settings) |
| `POST` | `/hubs/{hubId}/share` | [Share hub](#share-hub) |

### List hubs

`GET /hubs`

<small>`https://api.amplience.net/v2/content/hubs`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `page` | query | integer |  | Page number<br/>Example: `0` |
| `size` | query | integer |  | Page size<br/>Example: `20` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Paginated Hub List |

<details>
<summary>Response Example (200)</summary>

```json
{
  "_embedded": {
    "hubs": [
      {
        "id": "00112233445566778899aabb",
        "name": "anya-finn",
        "label": "Anya Finn",
        "description": "Content for anyafinn.com",
        "plan": "DEVELOPER",
        "algoliaSearch": "ENABLED",
        "cdv2": "ENABLED",
        "organizationId": "org_cDQVi4ww5y6cMPtN",
        "settings": {
          "devices": [],
          "applications": []
        },
        "_links": {
          "self": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "hub": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "snapshots": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots{?page,size,sort,types}",
            "templated": true
          },
          "create-snapshot": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots"
          },
          "batch-create-snapshot": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
          },
          "events": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events{?page,size,sort}",
            "templated": true
          },
          "create-event": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events"
          },
          "archive": {
            "href": "https://api.amplience.net/v2/content/events/{id}/archive",
            "templated": true
          },
          "update": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "delete": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
          },
          "update-settings": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/settings"
          },
          "share": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/share"
          },
          "content-repositories": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories{?page,size,sort}",
            "templated": true
          },
          "create-content-repository": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories"
          },
          "register-content-types": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types"
          },
          "create-content-type-schema": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas"
          },
          "content-types": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types{?page,size,sort,status}",
            "templated": true
          },
          "list-content-type-schemas": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas{?page,size,sort}",
            "templated": true
          },
          "resolve-content-type-schema": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas/resolve"
          },
          "search-content-items": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/find{?page,projection,query,size,sort}",
            "templated": true
          },
          "facet-content-items": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/facet{?page,projection,query,size,sort}",
            "templated": true
          },
          "search-localization-jobs": {
            "href": "https://api.amplience.net/v2/content/localization-jobs/search"
          },
          "webhooks": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks{?page,size,sort}",
            "templated": true
          },
          "create-webhook": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks"
          },
          "integrations": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations{?page,size,sort}",
            "templated": true
          },
          "create-workflow-state": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states"
          },
          "workflow-states": {
            "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states{?page,size,sort}",
            "templated": true
          },
          "create-algolia-search-index": {
            "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes"
          },
          "algolia-search-indexes": {
            "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort,status}",
            "templated": true
          }
        }
      }
    ]
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs?page=0&size=20"
    },
    "first": {
      "href": "https://api.amplience.net/v2/content/hubs?page=0&size=20"
    },
    "last": {
      "href": "https://api.amplience.net/v2/content/hubs?page=0&size=20"
    }
  },
  "page": {
    "size": 20,
    "totalElements": 1,
    "totalPages": 1,
    "number": 0
  }
}
```

</details>

### Create hub

`POST /hubs`

<small>`https://api.amplience.net/v2/content/hubs`</small>

A Hub is a container for multiple repositories including media, content, content types.

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `name` | string | ✓ | Hub name |
| `label` | string | ✓ | Hub label |
| `description` |  |  | Hub description |
| `plan` | string (DEVELOPER) |  | Hub Plan |
| `algoliaSearch` | string (ENABLED) |  | Algolia Search enabled flag |
| `cdv2` | string (ENABLED) |  | CD2 enabled flag |
| `organizationId` | string |  | Organization ID |
| `settings` | object |  | Hub settings |

<details>
<summary>Request example</summary>

```json
{
  "name": "anya-finn",
  "label": "Anya Finn",
  "description": "Content for anyafinn.com",
  "plan": "DEVELOPER",
  "algoliaSearch": "ENABLED",
  "cdv2": "ENABLED",
  "organizationId": "org_cDQVi4ww5y6cMPtN",
  "settings": {
    "publishing": {
      "platforms": {
        "amplience_dam": {
          "API_KEY": "DAM_CLIENT_KEY",
          "endpoint": "endpoint"
        }
      }
    },
    "devices": [
      {
        "name": "New Device",
        "width": 2048,
        "height": 1024,
        "orientate": false
      }
    ],
    "localization": {
      "locales": [
        "en-GB",
        "fr-FR"
      ]
    },
    "applications": [
      {
        "name": "Preview Site",
        "templatedUri": "http://example.com"
      }
    ],
    "previewVirtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "virtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "assetManagement": {
      "enabled": false,
      "clientConfig": "HUB"
    },
    "contentItems": {
      "validation": {
        "ignoreSchemaValidation": false
      }
    }
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 201 | Created |

<details>
<summary>Response Example (201)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "anya-finn",
  "label": "Anya Finn",
  "description": "Content for anyafinn.com",
  "plan": "DEVELOPER",
  "algoliaSearch": "ENABLED",
  "cdv2": "ENABLED",
  "organizationId": "org_cDQVi4ww5y6cMPtN",
  "settings": {
    "publishing": {
      "platforms": {
        "amplience_dam": {
          "API_KEY": "DAM_CLIENT_KEY",
          "endpoint": "endpoint"
        }
      }
    },
    "devices": [
      {
        "name": "New Device",
        "width": 2048,
        "height": 1024,
        "orientate": false
      }
    ],
    "localization": {
      "locales": [
        "en-GB",
        "fr-FR"
      ]
    },
    "applications": [
      {
        "name": "Preview Site",
        "templatedUri": "http://example.com"
      }
    ],
    "previewVirtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "virtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "assetManagement": {
      "enabled": false,
      "clientConfig": "HUB"
    },
    "contentItems": {
      "validation": {
        "ignoreSchemaValidation": false
      }
    }
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "snapshots": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots{?page,size,sort,types}",
      "templated": true
    },
    "create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots"
    },
    "batch-create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
    },
    "events": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events{?page,size,sort}",
      "templated": true
    },
    "create-event": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/{id}/archive",
      "templated": true
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update-settings": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/settings"
    },
    "share": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/share"
    },
    "content-repositories": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories{?page,size,sort}",
      "templated": true
    },
    "create-content-repository": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories"
    },
    "register-content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types"
    },
    "create-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas"
    },
    "content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types{?page,size,sort,status}",
      "templated": true
    },
    "list-content-type-schemas": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas{?page,size,sort}",
      "templated": true
    },
    "resolve-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas/resolve"
    },
    "search-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/find{?page,projection,query,size,sort}",
      "templated": true
    },
    "facet-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/facet{?page,projection,query,size,sort}",
      "templated": true
    },
    "search-localization-jobs": {
      "href": "https://api.amplience.net/v2/content/localization-jobs/search"
    },
    "webhooks": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks{?page,size,sort}",
      "templated": true
    },
    "create-webhook": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks"
    },
    "integrations": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations{?page,size,sort}",
      "templated": true
    },
    "create-workflow-state": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states"
    },
    "workflow-states": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states{?page,size,sort}",
      "templated": true
    },
    "create-algolia-search-index": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes"
    },
    "algolia-search-indexes": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort,status}",
      "templated": true
    }
  }
}
```

</details>

### Get hub

`GET /hubs/{hubId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}`</small>

Hub is the root resource in Dynamic Content, all other resources can be accessed from a Hub

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Hub response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "anya-finn",
  "label": "Anya Finn",
  "description": "Content for anyafinn.com",
  "plan": "DEVELOPER",
  "algoliaSearch": "ENABLED",
  "cdv2": "ENABLED",
  "organizationId": "org_cDQVi4ww5y6cMPtN",
  "settings": {
    "publishing": {
      "platforms": {
        "amplience_dam": {
          "API_KEY": "DAM_CLIENT_KEY",
          "endpoint": "endpoint"
        }
      }
    },
    "devices": [
      {
        "name": "New Device",
        "width": 2048,
        "height": 1024,
        "orientate": false
      }
    ],
    "localization": {
      "locales": [
        "en-GB",
        "fr-FR"
      ]
    },
    "applications": [
      {
        "name": "Preview Site",
        "templatedUri": "http://example.com"
      }
    ],
    "previewVirtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "virtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "assetManagement": {
      "enabled": false,
      "clientConfig": "HUB"
    },
    "contentItems": {
      "validation": {
        "ignoreSchemaValidation": false
      }
    }
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "snapshots": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots{?page,size,sort,types}",
      "templated": true
    },
    "create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots"
    },
    "batch-create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
    },
    "events": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events{?page,size,sort}",
      "templated": true
    },
    "create-event": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/{id}/archive",
      "templated": true
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update-settings": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/settings"
    },
    "share": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/share"
    },
    "content-repositories": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories{?page,size,sort}",
      "templated": true
    },
    "create-content-repository": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories"
    },
    "register-content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types"
    },
    "create-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas"
    },
    "content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types{?page,size,sort,status}",
      "templated": true
    },
    "list-content-type-schemas": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas{?page,size,sort}",
      "templated": true
    },
    "resolve-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas/resolve"
    },
    "search-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/find{?page,projection,query,size,sort}",
      "templated": true
    },
    "facet-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/facet{?page,projection,query,size,sort}",
      "templated": true
    },
    "search-localization-jobs": {
      "href": "https://api.amplience.net/v2/content/localization-jobs/search"
    },
    "webhooks": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks{?page,size,sort}",
      "templated": true
    },
    "create-webhook": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks"
    },
    "integrations": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations{?page,size,sort}",
      "templated": true
    },
    "create-workflow-state": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states"
    },
    "workflow-states": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states{?page,size,sort}",
      "templated": true
    },
    "create-algolia-search-index": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes"
    },
    "algolia-search-indexes": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort,status}",
      "templated": true
    }
  }
}
```

</details>

### Update hub

`PATCH /hubs/{hubId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}`</small>

Hub is the root resource in Dynamic Content, all other resources can be accessed from a Hub

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `name` | string |  | Hub name |
| `label` | string |  | Hub label |
| `description` |  |  | Hub description |
| `plan` | string (DEVELOPER) |  | Hub Plan |
| `algoliaSearch` | string (ENABLED) |  | Algolia Search enabled flag |
| `cdv2` | string (ENABLED) |  | CD2 enabled flag |
| `organizationId` | string |  | Organization ID |
| `settings` | object |  | Hub settings |

<details>
<summary>Request example</summary>

```json
{
  "name": "anya-finn",
  "label": "Anya Finn",
  "description": "Content for anyafinn.com",
  "plan": "DEVELOPER",
  "algoliaSearch": "ENABLED",
  "cdv2": "ENABLED",
  "organizationId": "org_cDQVi4ww5y6cMPtN",
  "settings": {
    "publishing": {
      "platforms": {
        "amplience_dam": {
          "API_KEY": "DAM_CLIENT_KEY",
          "endpoint": "endpoint"
        }
      }
    },
    "devices": [
      {
        "name": "New Device",
        "width": 2048,
        "height": 1024,
        "orientate": false
      }
    ],
    "localization": {
      "locales": [
        "en-GB",
        "fr-FR"
      ]
    },
    "applications": [
      {
        "name": "Preview Site",
        "templatedUri": "http://example.com"
      }
    ],
    "previewVirtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "virtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "assetManagement": {
      "enabled": false,
      "clientConfig": "HUB"
    },
    "contentItems": {
      "validation": {
        "ignoreSchemaValidation": false
      }
    }
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Updated Hub response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233445566778899aabb",
  "name": "anya-finn",
  "label": "Anya Finn",
  "description": "Content for anyafinn.com",
  "plan": "DEVELOPER",
  "algoliaSearch": "ENABLED",
  "cdv2": "ENABLED",
  "organizationId": "org_cDQVi4ww5y6cMPtN",
  "settings": {
    "publishing": {
      "platforms": {
        "amplience_dam": {
          "API_KEY": "DAM_CLIENT_KEY",
          "endpoint": "endpoint"
        }
      }
    },
    "devices": [
      {
        "name": "New Device",
        "width": 2048,
        "height": 1024,
        "orientate": false
      }
    ],
    "localization": {
      "locales": [
        "en-GB",
        "fr-FR"
      ]
    },
    "applications": [
      {
        "name": "Preview Site",
        "templatedUri": "http://example.com"
      }
    ],
    "previewVirtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "virtualStagingEnvironment": {
      "hostname": "unique-id.staging.bigcontent.io"
    },
    "assetManagement": {
      "enabled": false,
      "clientConfig": "HUB"
    },
    "contentItems": {
      "validation": {
        "ignoreSchemaValidation": false
      }
    }
  },
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "snapshots": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots{?page,size,sort,types}",
      "templated": true
    },
    "create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots"
    },
    "batch-create-snapshot": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
    },
    "events": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events{?page,size,sort}",
      "templated": true
    },
    "create-event": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events"
    },
    "archive": {
      "href": "https://api.amplience.net/v2/content/events/{id}/archive",
      "templated": true
    },
    "update": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "delete": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "update-settings": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/settings"
    },
    "share": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/share"
    },
    "content-repositories": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories{?page,size,sort}",
      "templated": true
    },
    "create-content-repository": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories"
    },
    "register-content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types"
    },
    "create-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas"
    },
    "content-types": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types{?page,size,sort,status}",
      "templated": true
    },
    "list-content-type-schemas": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas{?page,size,sort}",
      "templated": true
    },
    "resolve-content-type-schema": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas/resolve"
    },
    "search-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/find{?page,projection,query,size,sort}",
      "templated": true
    },
    "facet-content-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/facet{?page,projection,query,size,sort}",
      "templated": true
    },
    "search-localization-jobs": {
      "href": "https://api.amplience.net/v2/content/localization-jobs/search"
    },
    "webhooks": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks{?page,size,sort}",
      "templated": true
    },
    "create-webhook": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks"
    },
    "integrations": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations{?page,size,sort}",
      "templated": true
    },
    "create-workflow-state": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states"
    },
    "workflow-states": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states{?page,size,sort}",
      "templated": true
    },
    "create-algolia-search-index": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes"
    },
    "algolia-search-indexes": {
      "href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort,status}",
      "templated": true
    }
  }
}
```

</details>

### Get hub asset management settings

`GET /hubs/{hubId}/asset-management`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/asset-management`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Updated Hub |

<details>
<summary>Response Example (200)</summary>

```json
{
  "enabled": false,
  "clientConfig": "HUB",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/asset-management"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "asset-management": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/asset-management"
    }
  }
}
```

</details>

### Update hub asset management settings

`PUT /hubs/{hubId}/asset-management`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/asset-management`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `enabled` | boolean |  |  |
| `clientConfig` | string (HUB, USER) |  |  |

<details>
<summary>Request example</summary>

```json
{
  "enabled": false,
  "clientConfig": "HUB"
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Updated Hub |

<details>
<summary>Response Example (200)</summary>

```json
{
  "enabled": false,
  "clientConfig": "HUB",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/asset-management"
    },
    "hub": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
    },
    "asset-management": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/asset-management"
    }
  }
}
```

</details>

### Get hub asset repositories

`GET /hubs/{hubId}/asset-repositories`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/asset-repositories`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Asset Repositories for a Hub |

<details>
<summary>Response Example (200)</summary>

```json
{
  "assetRepositories": [
    {
      "assetRepositoryId": "00112233-4455-6677-8899-aabbccddeeff",
      "assetRepositoryLabel": "asset repository label",
      "accessLevel": "READ/EDIT"
    }
  ]
}
```

</details>

### Post bulk apply locale job

`POST /hubs/{hubId}/bulk-apply-locale`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-apply-locale`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `selection` | array |  |  |
| `localization` | object |  |  |

<details>
<summary>Request example</summary>

```json
{
  "selection": [
    {
      "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
      "version": 1
    }
  ],
  "localization": {
    "locale": "en-gb"
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Bulk Job |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "LOCALE",
  "status": "CREATED",
  "results": {
    "succeeded": [],
    "failed": []
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-apply-locale/00112233445566778899bbcc/"
    },
    "bulk-apply-locale": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-apply-locale/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Get bulk apply locale job

`GET /hubs/{hubId}/bulk-apply-locale/{bulkJobId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-apply-locale/{bulkJobId}`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `bulkJobId` | path | string | ✓ | Bulk Job Id<br/>Example: `00112233445566778899bbcc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Get bulk update workflow response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "LOCALE",
  "status": "CREATED",
  "results": {
    "succeeded": [
      {
        "contentItemId": "00112233-4455-6677-8899-aabbccddeeff"
      }
    ],
    "failed": [
      {
        "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
        "Code": "NULL_VERSION",
        "message": "version must not be null"
      }
    ]
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-apply-locale/00112233445566778899bbcc/"
    },
    "bulk-apply-locale": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-apply-locale/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Post bulk archive job

`POST /hubs/{hubId}/bulk-archive`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-archive`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `selection` | array |  |  |

<details>
<summary>Request example</summary>

```json
{
  "selection": [
    {
      "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
      "version": 1
    }
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Bulk Job |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "ARCHIVE",
  "status": "CREATED",
  "results": {
    "succeeded": [],
    "failed": []
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-archive/00112233445566778899bbcc/"
    },
    "bulk-archive": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-archive/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Get bulk archive job

`GET /hubs/{hubId}/bulk-archive/{jobId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-archive/{jobId}`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `jobId` | path | string | ✓ | Bulk Job Id<br/>Example: `00112233445566778899bbcc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Get bulk archive response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "ARCHIVE",
  "status": "CREATED",
  "results": {
    "succeeded": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff"
      }
    ],
    "failed": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff",
        "Code": "NULL_VERSION",
        "message": "version must not be null"
      }
    ]
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-archive/00112233445566778899bbcc/"
    },
    "bulk-archive": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-archive/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Post bulk assign users job

`POST /hubs/{hubId}/bulk-assign-users`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-assign-users`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `selection` | array |  |  |

<details>
<summary>Request example</summary>

```json
{
  "selection": [
    {
      "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
      "assignees": [
        "00112233445566778899aabb"
      ]
    }
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Bulk Job |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "ASSIGN_USERS",
  "status": "CREATED",
  "results": {
    "succeeded": [],
    "failed": []
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-assign-users/00112233445566778899bbcc/"
    },
    "bulk-assign-users": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-assign-users/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Get bulk assign users job

`GET /hubs/{hubId}/bulk-assign-users/{jobId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-assign-users/{jobId}`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `jobId` | path | string | ✓ | Bulk Job Id<br/>Example: `00112233445566778899bbcc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Get bulk assign users response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "ASSIGN_USERS",
  "status": "CREATED",
  "results": {
    "succeeded": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff"
      }
    ],
    "failed": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff",
        "Code": "EMPTY_BULK_JOB_REQUEST",
        "message": "No items were supplied in this request"
      }
    ]
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-assign-users/00112233445566778899bbcc/"
    },
    "bulk-assign-users": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-assign-users/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Post bulk copy item job

`POST /hubs/{hubId}/bulk-copy-item`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-copy-item`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `selection` | array |  |  |

<details>
<summary>Request example</summary>

```json
{
  "selection": [
    {
      "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
      "version": 1,
      "contentRepositoryId": "00112233-4455-6677-8899-aabbccddaabb",
      "folderId": "00112233-4455-6677-8899-aabbccddddcc",
      "name": "New Name",
      "label": "label1"
    }
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Updated Hub |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "COPY",
  "status": "CREATED",
  "results": {
    "succeeded": [],
    "failed": []
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-copy-item/00112233445566778899bbcc/"
    },
    "bulk-copy-item": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-copy-item/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Get bulk copy item job

`GET /hubs/{hubId}/bulk-copy-item/{jobId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-copy-item/{jobId}`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `jobId` | path | string | ✓ | Bulk Job Id<br/>Example: `00112233445566778899bbcc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Updated Hub |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "COPY",
  "status": "CREATED",
  "results": {
    "succeeded": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff"
      }
    ],
    "failed": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff",
        "Code": "UNAUTHORISED",
        "message": "Authorization required."
      }
    ]
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-copy-item/00112233445566778899bbcc/"
    },
    "bulk-copy-item": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-copy-item/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Post bulk publish job

`POST /hubs/{hubId}/bulk-publish-items`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-publish-items`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `selection` | array |  |  |

<details>
<summary>Request example</summary>

```json
{
  "selection": [
    {
      "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
      "version": 1
    }
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Bulk Job |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "PUBLISH",
  "status": "CREATED",
  "results": {
    "succeeded": [],
    "failed": []
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-publish-items/00112233445566778899bbcc/"
    },
    "bulk-publish-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-publish-items/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Get bulk publish job

`GET /hubs/{hubId}/bulk-publish-items/{bulkJobId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-publish-items/{bulkJobId}`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `bulkJobId` | path | string | ✓ | Bulk Job Id<br/>Example: `00112233445566778899bbcc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Get bulk publish response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "PUBLISH",
  "status": "CREATED",
  "results": {
    "succeeded": [
      {
        "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
        "publishingJobId": "00112233445566778899aabb",
        "_links": {
          "publishing-job": {
            "href": "https://api.amplience.net/v2/content/publishing-jobs/00112233445566778899aabb"
          }
        }
      }
    ],
    "failed": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff",
        "Code": "NULL_VERSION",
        "message": "version must not be null"
      }
    ]
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-publish-items/00112233445566778899bbcc/"
    },
    "bulk-publish-items": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-publish-items/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Post bulk unarchive job

`POST /hubs/{hubId}/bulk-unarchive`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-unarchive`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `selection` | array |  |  |

<details>
<summary>Request example</summary>

```json
{
  "selection": [
    {
      "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
      "version": 1
    }
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Updated Hub |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "UNARCHIVE",
  "status": "CREATED",
  "results": {
    "succeeded": [],
    "failed": []
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-unarchive/00112233445566778899bbcc/"
    },
    "bulk-unarchive": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-unarchive/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Get bulk unarchive job

`GET /hubs/{hubId}/bulk-unarchive/{jobId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-unarchive/{jobId}`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `jobId` | path | string | ✓ | Bulk Job Id<br/>Example: `00112233445566778899bbcc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Updated Hub |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "UNARCHIVE",
  "status": "CREATED",
  "results": {
    "succeeded": [
      {
        "contentItemId": "00112233-4455-6677-8899-aabbccddeeff"
      }
    ],
    "failed": [
      {
        "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
        "Code": "NULL_VERSION",
        "message": "version must not be null"
      }
    ]
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-unarchive/00112233445566778899bbcc/"
    },
    "bulk-unarchive": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-unarchive/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Post bulk update workflow job

`POST /hubs/{hubId}/bulk-update-workflow`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-update-workflow`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `selection` | array |  |  |
| `workflow` | object |  |  |

<details>
<summary>Request example</summary>

```json
{
  "selection": [
    {
      "contentItemId": "00112233-4455-6677-8899-aabbccddeeff",
      "version": 1
    }
  ],
  "workflow": {
    "state": "00112233445566778899aabb"
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Bulk Job |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "UPDATE_WORKFLOW",
  "status": "CREATED",
  "results": {
    "succeeded": [],
    "failed": []
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-update-workflow/00112233445566778899bbcc/"
    },
    "bulk-update-workflow": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-update-workflow/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Get bulk update workflow job

`GET /hubs/{hubId}/bulk-update-workflow/{bulkJobId}`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/bulk-update-workflow/{bulkJobId}`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |
| `bulkJobId` | path | string | ✓ | Bulk Job Id<br/>Example: `00112233445566778899bbcc` |

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Get bulk update workflow response |

<details>
<summary>Response Example (200)</summary>

```json
{
  "id": "00112233-4455-6677-8899-aabbccddeeff",
  "type": "UPDATE_WORKFLOW",
  "status": "CREATED",
  "results": {
    "succeeded": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff"
      }
    ],
    "failed": [
      {
        "id": "00112233-4455-6677-8899-aabbccddeeff",
        "Code": "NULL_VERSION",
        "message": "version must not be null"
      }
    ]
  },
  "createdDate": "2019-01-01T00:00:00.000Z",
  "createdBy": "00112233-4455-6677-8899-aabbccddeeff",
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-update-workflow/00112233445566778899bbcc/"
    },
    "bulk-update-workflow": {
      "href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/bulk-update-workflow/00112233445566778899bbcc/"
    }
  }
}
```

</details>

### Create linked content repositories

`PUT /hubs/{hubid}/linked-content-repositories`

<small>`https://api.amplience.net/v2/content/hubs/{hubid}/linked-content-repositories`</small>

Create a link for content repositories between different hubs to allow the coping or syncing of content

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `originHubId` | string |  | Defines the hub id to use as a starting point for unidirectional relationships |
| `hubIds` | array |  |  |
| `bidirectional` | boolean |  | Defines the directionality of the linked repositories |
| `relationships` | array |  |  |

<details>
<summary>Request example</summary>

```json
{
  "originHubId": "00112233445566778899aabb",
  "hubIds": [
    "00112233445566778899aabb",
    "00112233445566778899ccdd"
  ],
  "bidirectional": false,
  "relationships": [
    {
      "originRepositoryId": "00112233-4455-6677-8899-aabbccddeeff",
      "dstRepositoryId": "00112233-4455-6677-8899-aabbccddeeff"
    }
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 200 | Created Linked Content Repository |

<details>
<summary>Response Example (200)</summary>

```json
{
  "originHubId": "00112233445566778899aabb",
  "hubIds": [
    "00112233445566778899aabb",
    "00112233445566778899ccdd"
  ],
  "bidirectional": false,
  "relationships": [
    {
      "originRepositoryId": "00112233-4455-6677-8899-aabbccddeeff",
      "dstRepositoryId": "00112233-4455-6677-8899-aabbccddeeff"
    }
  ],
  "_links": {
    "self": {
      "href": "https://api.amplience.net/v2/content/hub/00112233445566778899aabb/linked-content-repositories"
    },
    "linked-content-repositories": {
      "href": "https://api.amplience.net/v2/content/hub/00112233445566778899aabb/linked-content-repositories"
    }
  }
}
```

</details>

### Update hub plan

`PATCH /hubs/{hubId}/plan`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/plan`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `plan` | string (DEVELOPER) |  | Hub Plan |

<details>
<summary>Request example</summary>

```json
{
  "plan": "DEVELOPER"
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 204 | Updated Hub |

### Update hub settings

`PATCH /hubs/{hubId}/settings`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/settings`</small>

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `publishing` | object |  |  |
| `devices` | array |  |  |
| `localization` | object |  |  |
| `applications` | array |  |  |
| `previewVirtualStagingEnvironment` | object |  |  |
| `virtualStagingEnvironment` | object |  |  |
| `assetManagement` | object |  |  |
| `contentItems` | object |  |  |

<details>
<summary>Request example</summary>

```json
{
  "publishing": {
    "platforms": {
      "amplience_dam": {
        "API_KEY": "DAM_CLIENT_KEY",
        "endpoint": "endpoint"
      }
    }
  },
  "devices": [
    {
      "name": "New Device",
      "width": 2048,
      "height": 1024,
      "orientate": false
    }
  ],
  "localization": {
    "locales": [
      "en-GB",
      "fr-FR"
    ]
  },
  "applications": [
    {
      "name": "Preview Site",
      "templatedUri": "http://example.com"
    }
  ],
  "previewVirtualStagingEnvironment": {
    "hostname": "unique-id.staging.bigcontent.io"
  },
  "virtualStagingEnvironment": {
    "hostname": "unique-id.staging.bigcontent.io"
  },
  "assetManagement": {
    "enabled": false,
    "clientConfig": "HUB"
  },
  "contentItems": {
    "validation": {
      "ignoreSchemaValidation": false
    }
  }
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 204 | Updated Hub |

### Share hub

`POST /hubs/{hubId}/share`

<small>`https://api.amplience.net/v2/content/hubs/{hubId}/share`</small>

Hub is the root resource in Dynamic Content, all other resources can be accessed from a Hub

**Parameters**

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `hubId` | path | string | ✓ | Hub ID<br/>Example: `00112233445566778899aabb` |

**Request Body**

Content-Type: `application/json`

| Field | Type | Required | Description |
|-------|------|----------|-------------|
| `user` | string | ✓ | User Id |
| `additionalPermissions` | array | ✓ | Permissions to share |

<details>
<summary>Request example</summary>

```json
{
  "user": "00112233-4455-6677-8899-aabbccddeeff",
  "additionalPermissions": [
    "READ"
  ]
}
```

</details>

**Responses**

| Status | Description |
|--------|-------------|
| 204 | No Content |
